Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-14417

upgrade JNA to 5

    XMLWordPrintable

Details

    Description

      While JNA 5 is technically not binary compatible with 4 in all ways, it appears to be OK with our uses of it.

      It is almost source-compatible, we just need to make a few small changes to update.

      This will make it possible to use the JNA ICMP code on M1 macs, among other things.

      Attachments

        Activity

          People

            ranger Benjamin Reed
            ranger Benjamin Reed
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: